/***************************************************************************
 *                                                                         *
 *  MAXIMUS-CBCS Source Code, Version 1.02                                 *
 *  Copyright 1989, 1990 by Scott J. Dudley.  All rights reserved.         *
 *                                                                         *
 *  FFIND.C include file.                                                  *
 *                                                                         *
 *  For complete details of the licensing restrictions, please refer to    *
 *  the licence agreement, which is published in its entirety in MAX.C     *
 *  and LICENCE.MAX.                                                       *
 *                                                                         *
 *  USE OF THIS FILE IS SUBJECT TO THE RESTRICTIONS CONTAINED IN THE       *
 *  MAXIMUS-CBCS LICENSING AGREEMENT.  IF YOU DO NOT FIND THE TEXT OF THIS *
 *  AGREEMENT IN ANY OF THE  AFOREMENTIONED FILES, OR IF YOU DO NOT HAVE   *
 *  THESE FILES, YOU SHOULD IMMEDIATELY CONTACT THE AUTHOR AT ONE OF THE   *
 *  ADDRESSES LISTED BELOW.  IN NO EVENT SHOULD YOU PROCEED TO USE THIS    *
 *  FILE WITHOUT HAVING ACCEPTED THE TERMS OF THE MAXIMUS-CBCS LICENSING   *
 *  AGREEMENT, OR SUCH OTHER AGREEMENT AS YOU ARE ABLE TO REACH WITH THE   *
 *  AUTHOR.                                                                *
 *                                                                         *
 *  You can contact the author at one of the address listed below:         *
 *                                                                         *
 *  Scott Dudley           FidoNet  1:249/106                              *
 *  777 Downing St.        IMEXnet  89:483/202                             *
 *  Kingston, Ont.         Internet f106.n249.z1.fidonet.org               *
 *  Canada - K7M 5N3       BBS      (613) 389-8315 - HST/14.4K, 24hrs      *
 *                                                                         *
 *  Thanks to Peter Fitzsimmons for this module.                           *
 *                                                                         *
 ***************************************************************************/

#ifndef __FFIND_H_
#define __FFIND_H_

#define FFIND struct ffind

struct ffind
{
#ifndef OS_2
    char reserved[21];
#endif

    char            ff_attrib;
    unsigned short  ff_ftime;
    unsigned short  ff_fdate;
    long            ff_fsize;
    char            ff_name[13];

#ifdef OS_2
    unsigned short  hdir;       /* directory handle from DosFindFirst */
#endif
};

FFIND *FindOpen(char *filespec,unsigned short attribute);
int FindNext(FFIND *ff);
void FindClose(FFIND *ff);

/* The MS-DOS type attributes that can be stored in zipfile.file_attr_ext,
   only when ver_made_by==0.  There are a few more types, but none
   that we use for anything.                                       */

#define MSDOS_readonly  0x01
#define MSDOS_hidden    0x02
#define MSDOS_system    0x04
#define MSDOS_volume    0x08
#define MSDOS_subdir    0x10
#define MSDOS_archive   0x20
#define MSDOS_rsvd1     0x40
#define MSDOS_rsvd2     0x80

#endif

